org.apache.flume.sink.kafka

## Class KafkaSinkConstants

- java.lang.Object
- - org.apache.flume.sink.kafka.KafkaSinkConstants

-     public class KafkaSinkConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AVRO_EVENT`
    `static String` | `BATCH_SIZE`
    `static String` | `BOOTSTRAP_SERVERS_CONFIG`
    `static String` | `BROKER_LIST_FLUME_KEY`
    `static String` | `DEFAULT_ACKS`
    `static boolean` | `DEFAULT_AVRO_EVENT`
    `static int` | `DEFAULT_BATCH_SIZE`
    `static String` | `DEFAULT_KEY_SERIALIZER`
    `static String` | `DEFAULT_TOPIC`
    `static String` | `DEFAULT_VALUE_SERIAIZER`
    `static String` | `KAFKA_PREFIX`
    `static String` | `KAFKA_PRODUCER_PREFIX`
    `static String` | `KEY_HEADER`
    `static String` | `KEY_SERIALIZER_KEY`
    `static String` | `MESSAGE_SERIALIZER_KEY`
    `static String` | `OLD_BATCH_SIZE`
    `static String` | `PARTITION_HEADER_NAME`
    `static String` | `REQUIRED_ACKS_FLUME_KEY`
    `static String` | `STATIC_PARTITION_CONF`
    `static String` | `TOPIC_CONFIG`
    `static String` | `TOPIC_HEADER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaSinkConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KAFKA_PREFIX

          public static final String KAFKA_PREFIX

      See Also:
        Constant Field Values

    - #### KAFKA_PRODUCER_PREFIX

          public static final String KAFKA_PRODUCER_PREFIX

      See Also:
        Constant Field Values

    - #### TOPIC_CONFIG

          public static final String TOPIC_CONFIG

      See Also:
        Constant Field Values

    - #### BATCH_SIZE

          public static final String BATCH_SIZE

      See Also:
        Constant Field Values

    - #### BOOTSTRAP_SERVERS_CONFIG

          public static final String BOOTSTRAP_SERVERS_CONFIG

      See Also:
        Constant Field Values

    - #### KEY_HEADER

          public static final String KEY_HEADER

      See Also:
        Constant Field Values

    - #### TOPIC_HEADER

          public static final String TOPIC_HEADER

      See Also:
        Constant Field Values

    - #### AVRO_EVENT

          public static final String AVRO_EVENT

      See Also:
        Constant Field Values

    - #### DEFAULT_AVRO_EVENT

          public static final boolean DEFAULT_AVRO_EVENT

      See Also:
        Constant Field Values

    - #### PARTITION_HEADER_NAME

          public static final String PARTITION_HEADER_NAME

      See Also:
        Constant Field Values

    - #### STATIC_PARTITION_CONF

          public static final String STATIC_PARTITION_CONF

      See Also:
        Constant Field Values

    - #### DEFAULT_KEY_SERIALIZER

          public static final String DEFAULT_KEY_SERIALIZER

      See Also:
        Constant Field Values

    - #### DEFAULT_VALUE_SERIAIZER

          public static final String DEFAULT_VALUE_SERIAIZER

      See Also:
        Constant Field Values

    - #### DEFAULT_BATCH_SIZE

          public static final int DEFAULT_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_TOPIC

          public static final String DEFAULT_TOPIC

      See Also:
        Constant Field Values

    - #### DEFAULT_ACKS

          public static final String DEFAULT_ACKS

      See Also:
        Constant Field Values

    - #### OLD_BATCH_SIZE

          public static final String OLD_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### MESSAGE_SERIALIZER_KEY

          public static final String MESSAGE_SERIALIZER_KEY

      See Also:
        Constant Field Values

    - #### KEY_SERIALIZER_KEY

          public static final String KEY_SERIALIZER_KEY

      See Also:
        Constant Field Values

    - #### BROKER_LIST_FLUME_KEY

          public static final String BROKER_LIST_FLUME_KEY

      See Also:
        Constant Field Values

    - #### REQUIRED_ACKS_FLUME_KEY

          public static final String REQUIRED_ACKS_FLUME_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KafkaSinkConstants

          public KafkaSinkConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.